+2024-06-29 Jim Meyering <meyering@meta.com>
+
+ bootstrap-funclib.sh: shrink or split too-long lines
+ * top/bootstrap-funclib.sh: The generated bootstrap file had lines
+ lines that triggered a syntax-check failure. Sure, I could have
+ exempted this file, but it was easy to comply. Besides, this also
+ fixed a quoting bug in the event that ${GNULIB_URL:-$default_gnulib_url}
+ had a value requiring double quotes.
+ * build-aux/bootstrap: Regenerate.
+
2024-06-29 Bruno Haible <bruno@clisp.org>
tests: Avoid test failures due to VirtualBox specific bug.
if test -n "$GNULIB_REFDIR" && test -d "$GNULIB_REFDIR"/.git; then
# Use GNULIB_REFDIR as a reference.
echo "$0: getting gnulib files..."
- git submodule update --init --reference "$GNULIB_REFDIR" "$gnulib_path" \
+ git submodule update --init --reference "$GNULIB_REFDIR" "$gnulib_path"\
|| exit $?
else
# GNULIB_REFDIR is not set or not usable. Ignore it.
# The subdirectory 'gnulib' does not yet exist. Clone into it.
echo "$0: getting gnulib files..."
trap cleanup_gnulib HUP INT PIPE TERM
+ gnulib_url=${GNULIB_URL:-$default_gnulib_url}
shallow=
if test -z "$GNULIB_REVISION"; then
if git clone -h 2>&1 | grep -- --depth > /dev/null; then
shallow='--depth 2'
fi
- git clone $shallow ${GNULIB_URL:-$default_gnulib_url} "$gnulib_path" \
+ git clone $shallow "$gnulib_url" "$gnulib_path"\
|| cleanup_gnulib
else
if git fetch -h 2>&1 | grep -- --depth > /dev/null; then
# is without fetching all commits. So fall back to fetching all
# commits.
git -C "$gnulib_path" init
- git -C "$gnulib_path" remote add origin ${GNULIB_URL:-$default_gnulib_url}
+ git -C "$gnulib_path" remote add origin "$gnulib_url"
git -C "$gnulib_path" fetch $shallow origin "$GNULIB_REVISION" \
|| git -C "$gnulib_path" fetch origin \
|| cleanup_gnulib
git -C "$gnulib_path" reset --hard FETCH_HEAD
- (cd "$gnulib_path" && git checkout "$GNULIB_REVISION") || cleanup_gnulib
+ (cd "$gnulib_path" && git checkout "$GNULIB_REVISION")||cleanup_gnulib
fi
trap - HUP INT PIPE TERM
else
if test -n "$GNULIB_REFDIR" && test -d "$GNULIB_REFDIR"/.git; then
# Use GNULIB_REFDIR as a reference.
echo "$0: getting gnulib files..."
- git submodule update --init --reference "$GNULIB_REFDIR" "$gnulib_path" \
+ git submodule update --init --reference "$GNULIB_REFDIR" "$gnulib_path"\
|| exit $?
else
# GNULIB_REFDIR is not set or not usable. Ignore it.
# The subdirectory 'gnulib' does not yet exist. Clone into it.
echo "$0: getting gnulib files..."
trap cleanup_gnulib HUP INT PIPE TERM
+ gnulib_url=${GNULIB_URL:-$default_gnulib_url}
shallow=
if test -z "$GNULIB_REVISION"; then
if git clone -h 2>&1 | grep -- --depth > /dev/null; then
shallow='--depth 2'
fi
- git clone $shallow ${GNULIB_URL:-$default_gnulib_url} "$gnulib_path" \
+ git clone $shallow "$gnulib_url" "$gnulib_path"\
|| cleanup_gnulib
else
if git fetch -h 2>&1 | grep -- --depth > /dev/null; then
# is without fetching all commits. So fall back to fetching all
# commits.
git -C "$gnulib_path" init
- git -C "$gnulib_path" remote add origin ${GNULIB_URL:-$default_gnulib_url}
+ git -C "$gnulib_path" remote add origin "$gnulib_url"
git -C "$gnulib_path" fetch $shallow origin "$GNULIB_REVISION" \
|| git -C "$gnulib_path" fetch origin \
|| cleanup_gnulib
git -C "$gnulib_path" reset --hard FETCH_HEAD
- (cd "$gnulib_path" && git checkout "$GNULIB_REVISION") || cleanup_gnulib
+ (cd "$gnulib_path" && git checkout "$GNULIB_REVISION")||cleanup_gnulib
fi
trap - HUP INT PIPE TERM
else